// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfBSplineDefs.h                                                              //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Tools       //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRT-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Jacopo Pantaleoni. All rights reserved.           //
// ============================================================================ //

#ifndef _LfBSplineDefs_H
#define _LfBSplineDefs_H 1

#include <WWW/LfVector.h>

#define LfBezierStep      3
#define LfBSplineStep     1
#define LfCatmullRomStep  1
#define LfHermiteStep     2

LfAPI_CS LfMatrix4 LfBezierBasis     (void);
LfAPI_CS LfMatrix4 LfBSplineBasis    (void);
LfAPI_CS LfMatrix4 LfCatmullRomBasis (void);
LfAPI_CS LfMatrix4 LfHermiteBasis    (void);

#endif
