// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfVector.h                                                                   //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Interface   //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRI-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Marco and Jacopo Pantaleoni. All rights reserved. //
// ============================================================================ //

#ifndef _LfVector_h
#define _LfVector_h 1

#include <WWW/LfBasicMath.h>

// forward declarations
class LfVector2;
class LfVector3;
class LfVector4;
class LfMatrix2;
class LfMatrix3;
class LfMatrix4;
class LfTransform;

#include <WWW/LfVector2.h>
#include <WWW/LfVector3.h>
#include <WWW/LfVector4.h>
#include <WWW/LfMatrix2.h>
#include <WWW/LfMatrix3.h>
#include <WWW/LfMatrix4.h>
#include <WWW/LfTransform.h>

#endif /* _LfVector_h */
